<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from optkelley_dirdero.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="optkelley_dirdero" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">

  <info>
    <pubdate>$LastChangedDate: 02-Jun-2010 $</pubdate>
  </info>

  <refnamediv>
    <refname>optkelley_dirdero</refname><refpurpose>Finite difference directional derivative.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   z = optkelley_dirdero(x,w,f,gc)
   z = optkelley_dirdero(x,w,f,gc,epsnew)

   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x:</term>
      <listitem><para> current point</para></listitem></varlistentry>
   <varlistentry><term>w:</term>
      <listitem><para> direction</para></listitem></varlistentry>
   <varlistentry><term>f:</term>
      <listitem><para> function, the calling sequence is [fun,grad]=f(x)</para></listitem></varlistentry>
   <varlistentry><term>gc:</term>
      <listitem><para> current gradient, gc has usually been computed, before the call to optkelley_dirdero</para></listitem></varlistentry>
   <varlistentry><term>epsnew:</term>
      <listitem><para> difference increment (optional), default = 1.d-6</para></listitem></varlistentry>
   <varlistentry><term>z:</term>
      <listitem><para> directional derivative</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Approximate f''(x) w.
This code comes with no guarantee or warranty of any kind.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
function [f,g] = rosenbrock ( x )
f = 100.0 *(x(2)-x(1)^2)^2 + (1-x(1))^2;
g(1) = - 400. * ( x(2) - x(1)**2 ) * x(1) -2. * ( 1. - x(1) )
g(2) = 200. * ( x(2) - x(1)**2 )
endfunction
function H = roseHess ( x )
H(1,1) = 1200 * x(1)**2 - 400 * x(2) + 2
H(1,2) = -400 * x(1)
H(2,1) = H(1,2)
H(2,2) = 200
endfunction
//
// Test with default epsnew
x0 = [-1.2 1.0]';
w = [1 0]';
[f0,g0] = rosenbrock ( x0 );
z = optkelley_dirdero(x0, w, rosenbrock, g0);
// Compare with the exact value
roseHess ( x0 ) * w
// Compare with optimal step (assuming f and f'' are of order unity)
z = optkelley_dirdero(x0, w, rosenbrock, g0, sqrt(%eps));

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>C. T. Kelley, Dec 20, 1996</member>
   <member>Yann Collette, Scilab port</member>
   <member>Michael Baudin, DIGITEO, 2010, Update to Scilab 5.2, formatted comments, added tests and example</member>
   </simplelist>
</refsection>
</refentry>
